unit statctrls;

interface

uses
  SysUtils, Windows, Messages, Classes, Graphics, Controls,
  StdCtrls, ExtCtrls, Forms, ToolWin, ComCtrls,mwcucoco, Buttons,Dialogs,
  ColorButton;

type
  TStatctrl = class(TmwCustomCompoundComponent)
    tableno: TPanel;
    BlueBtn: TColorButton;
    RedBtn: TColorButton;
    Memo: TMemo;
  private
    function RunTime: Boolean;
  protected
    procedure SetBounds(Left, Top, Width, Height: Integer); override;
  public
    constructor Create(AOwner: TComponent); override;
    destructor Destroy; override;
  published
    Property ControlStyle;
  end;

  procedure Register;

var
  Statctrl: TStatctrl;



implementation

{$R *.DFM}
procedure Register;
begin
  RegisterComponents('MyVcl', [TStatctrl]);
end;



constructor TStatctrl.Create(AOwner: TComponent);
begin
  inherited Create(AOwner);
  ControlStyle := ControlStyle - [csAcceptsControls, csSetCaption];
  Caption:='';
  if not RunTime then
    begin
      //Height:= 31;
      //Width:= 132;
    end
  else
    begin
    end;
end;  { Create }

destructor TStatctrl.Destroy;
begin
  if not RunTime then
    begin
      ControlStyle := ControlStyle - [csFramed];
      (Owner as TForm).Repaint;
    end;
  Parent:= nil;
  inherited Destroy;
end;  { Destroy }

function TStatctrl.RunTime: Boolean;
begin
  RunTime := not (csDesigning in ComponentState);
end;  { RunTime }

procedure TStatctrl.SetBounds(Left, Top, Width, Height: Integer);
begin
  inherited SetBounds(Left, Top, Width, Height);
  if not RunTime then
    begin
    (Owner as TForm).Repaint;
    end
  else
    begin
    end;
end;  { SetBounds }







end.
